#!/usr/bin/make -f

DESTDIR=debian/tmp

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mv $(DESTDIR)/usr/bin/pssh $(DESTDIR)/usr/bin/parallel-ssh
	mv $(DESTDIR)/usr/bin/pscp $(DESTDIR)/usr/bin/parallel-scp
	mv $(DESTDIR)/usr/bin/prsync $(DESTDIR)/usr/bin/parallel-rsync
	mv $(DESTDIR)/usr/bin/pnuke $(DESTDIR)/usr/bin/parallel-nuke
	mv $(DESTDIR)/usr/bin/pslurp $(DESTDIR)/usr/bin/parallel-slurp
	# Move pssh-askpass to /usr/lib/pssh
	mkdir $(DESTDIR)/usr/lib/pssh/
	mv $(DESTDIR)/usr/bin/pssh-askpass $(DESTDIR)/usr/lib/pssh/
	# Remove the upstream-supplied manpages from /usr/share/man
	rm -rf $(DESTDIR)/usr/share/man

override_dh_compress:
	dh_compress -X .pdf
